@tailwind base;
@tailwind components;
@tailwind utilities;

html {
	overflow-x: hidden;
	scroll-behavior: smooth;
}

body {
	font-family: 'Anuphan';
	background-color: #333333;
}

.font-title {
	font-family: 'Rufina';
}

.font-rufina {
	font-family: 'Rufina';
}

@responsive {
	.small-map {
		height: 300px;
		width: 300px;
	}
	.medium-map {
		height: 400px;
		width: 400px;
	}
	.big-map {
		height: 500px;
		width: 500px;
	}
}

/* .product {
	background-color: red;
}
 */

.product:nth-child(even) {
	@apply bg-noir-500;
}

*::-webkit-scrollbar {
	width: 10px;
}

:root::-webkit-scrollbar-track {
	background: #f1f1f1;
}

:root::-webkit-scrollbar-thumb {
	background: #888;
}

:root::-webkit-scrollbar-thumb:hover {
	background: #555;
}

:root {
	--primary: #888;
	--secondary: #f1f1f1;
}

* {
	scrollbar-width: thin;
	scrollbar-color: var(--secondary) var(--primary);
}

* {
	scrollbar-width: thin;
	scrollbar-color: var(--secondary) var(--primary);
}

/* Chrome, Edge, and Safari */
*::-webkit-scrollbar {
	width: 15px;
}

*::-webkit-scrollbar-track {
	background: var(--primary);
	border-radius: 5px;
}

*::-webkit-scrollbar-thumb {
	background-color: var(--secondary);
	border-radius: 14px;
	border: 3px solid var(--primary);
}
